/*
 * MQCM - MQSeries Code to Message conversion functions
 *
 * "mqcmh.h" Header module for constants and function prototypes in "mqcm.c"
 *
 * Environments: Win NT, HP-UX Unix, Sun Solaris Unix, OS/390
 *
 * Source file: L:\MQSeries\UnixUtilities\Source\mqcmh-4.h
 *
 * Copyright 2001 IBM Global Services Australia
 *
 * Revision History
 * ================
 * Version  Date         Author    Changes
 *       1  20 Apr 1999  Glenn     Initial version for MQSeries 5.0
 *                       Baddeley <glenbadd@au1.ibm.com>
 *       2  14 Feb 2000  GB        Updated for MQSeries 5.1 using
 *                                 cmqc.h supplied for HP-UX.
 *       3  22 Nov 2000  GB        Updated for MQSeries 5.2 using
 *                                 cmqc.h supplied for NT.
 *       4  15 Feb 2001  GB        Add MQCM_RC6 symbols for mqcm.c v6
 */

#if defined(__cplusplus)
extern "C" {
#endif

/* Completion Code minimum, maximum and offset into literal array */
#define MQCM_CCMIN -1L
#define MQCM_CCMAX 2L
#define MQCM_CCOFFSET 1L

/* Reason Code minimum, maximum and offset into literal array */
#define MQCM_RCMIN 2001L
#define MQCM_RCMAX 2361L
#define MQCM_RCOFFSET -2001L
#define MQCM_RC6MIN 6100L
#define MQCM_RC6MAX 6129L
#define MQCM_RC6OFFSET -6100L

/* Function prototypes */

char *MQCompCodeMsg( MQLONG Cc, char *RetStr );

char *MQReasonCodeMsg( MQLONG Rc, char *RetStr );

#if defined(__cplusplus)
 }
#endif

