Attribute VB_Name = "CODE"
'
' MQMCH "MQSeries Messages and Codes Helper" in Visual Basic 5.0
'
' code7.bas  Global declarations and Code module
'
' Copyright IBM Global Services Australia 2002
'
' Version   Date         Name        Changes
'     2.1   01 Sep 1999  Glenn       Initial version, based on PCWIN31\MQMCH\CODE7.BAS for VB 3.0
'                        Baddeley <glenbadd@au1.ibm.com>
'     2.2   13 Sep 1999  GB          Resizable boxes on frmMain
'     2.3   20 Aug 2001  GB          Support MQ 5.2
'     2.4   24 Aug 2001  GB          Use registry rather that ini
'   2.4.1   06 Sep 2001  GB          Use new make data which includes RC 2361
'   2.5.1   19 Oct 2001  GB          Cater for duplicate reason codes (eg. 2192),
'                                    Add DI_VERISON
'   2.6.1   22 Feb 2002  GB          Add PrtFontName, PrtFontSize and PrtMaxWidth variables
'   2.7.1    3 Mar 2002  GB          Remove PrtFont variables
'
Option Explicit

' Constants

Global PIXELX As Single     ' Initialised in Main
Global PIXELY As Single     ' "
Global Const DIRSEP = "\"
Global Const EOLMARK = "~"
Global Const FLDSEP = "|"
Global Const NKEYBEG = "["
Global Const NKEYEND = "]"
Global Const BINRESERRPFX = "Binary Resource Error: "
Global Const RESINDEXSIZE = 4200
Global Const APPKEY = "Software\IBM\MQSeries GSA Utilities\Messages and Codes Helper"
Global Const DI_VERSION = 1

' Variables

Global ResExeFile As String
Global ResCacheFile As String
Global DidMake As Integer
Global RunningIde As Integer
Global DebugFlag As Integer
Global NumericKeys As String
Global SymbolicKeys As String
Global Edition As String

' Messages structure

Type MessType
    MType As Integer    ' MTYPExx constants
    MValue As Long
    MSymConst As String
    MText As String
End Type

Global Const MTYPENONE = 0   ' Values of MType
Global Const MTYPECC = 1
Global Const MTYPERC = 2
Global Const MTYPEDI = 3

Global MessMax As Integer

Global Mess() As MessType

' Match index list

Global MatchIdxList() As Integer

' Windows NT API declares

Global Const LB_SETTABSTOPS = &H192

' Windows NT API

Declare Function GetTickCount Lib "user32" () As Long
' Note that the lParam is not ByVal and is typed as Any - this is because we'll be passing an array
Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long

Sub Main()

Dim TmpDir As String

' Initialise constants

    PIXELX = Screen.TwipsPerPixelX
    PIXELY = Screen.TwipsPerPixelY

    RunningIde = (App.EXEName = LCase(App.EXEName))
    If RunningIde Then
        ResExeFile = App.Path & DIRSEP & "mqmch.exe"
    Else
        ResExeFile = App.Path & DIRSEP & App.EXEName & ".exe"
    End If

    TmpDir = Environ("TMP")
    If Len(TmpDir) = 0 Then TmpDir = Environ("TEMP")
    If Len(TmpDir) = 0 Then TmpDir = "C:"
    If Right(TmpDir, 1) <> DIRSEP Then TmpDir = TmpDir & DIRSEP
    ResCacheFile = TmpDir & "mqmch_cache.tmp"

    DidMake = False
    
' Display the main form
    
    frmMain.Show

End Sub

